% Tiempo de simulacion
dias = 8;                                             %Dias de fermentacion
tmax = 200;                                                           %[h]

% Temperatura proceso
T = 8;                                                                %[C]

%Datos levadura
ml = 110.18e-3;                                                        %[g]
Vl = 106.0e-6;                                                        %[mL]
dens_inoc = (ml)/(Vl);                                             %[Kg/m3]
inoc = 8;                               %Volumen de levadura inoculado [mL]


%Condiciones iniciales
Vh = 4e-3;                           %Volumen de mosto tras el hervido [m3]
Bio0 = (inoc*dens_inoc/(Vh*1e3))/1000;               %Biomasa inicial [Kg/m3]
P0 = 0;                                             %Etanol inicial [Kg/m3]
S0 = 1187;                                        %Sustrato inicial [Kg/m3]
C0 = 0;                                                %CO2 inicial [Kg/m3]

% Estimacion de parametros
datos_estimables;

% Exponentes reacciones
m = 1.5;                                                   %Para la biomasa
n = 1.5;                                                  %Para el producto
w = 1.2;                                                  %Para el sustrato

% Constantes cineticas
KS = 4.1;                      %Constante Michaelis-Menten para el sustrato
KI = 0.002;                          %Constante de inhibicion de la biomasa
Kd = 0.0018;                                %Velocidad especifica de muerte

% Valores de correccin
mP = 0.1;
mX = 0.2;