clc; clear all; close all; bdclose all;

addpath ('Calculos'); addpath ('Simulaciones'); addpath ('Excel'); addpath('Fig');

%% DATOS
datos_sim;                                           
datos_exp;

variables_workspace=whos;
num_variables=length(variables_workspace);
for i=1:num_variables
    eval(['param.',variables_workspace(i).name,...
        '=',variables_workspace(i).name,';']);
end

%% Condiciones iniciales
Y0 = [Bio0 S0 P0 C0];

%% Variable independiente.
Xspan = [0 tmax];

%% Ecuaaciones diferenciales

f=@(X,Y) EDOs_fermentacion(X,Y,param);

opciones=odeset('RelTol',1e-3,'AbsTol',1e-6,'Refine',10,'MaxStep',[]);
[Xsim,Ysim]=ode15s(f,Xspan,Y0,opciones);

%% Valores simulados
tsim = Xsim; Biosim = Ysim(:,1); Ssim = Ysim(:,2);
Psim = Ysim(:,3); Csim = Ysim(:,4);

%% REPRESENTACIN GRFICA DE LOS RESULTADOS
sim;                                                                     %1
datos;                                                                   %2
sim_data1;                                                               %3
sim_data2;                                                               %4
compara_azucares;                                                        %5
compara_todo;                                                            %6
datos_maceracion;                                                    %7 y 8

%% GUARDADO FIGURAS
% save_figures;

%% FINALIZACION

msgbox('             UNA CAITA?')
